Skip to content
CARP Docs
Ask AISystemLightDark

Study service

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/study-service

The request body should be a serialized StudyServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:

  • CreateStudy -> StudyStatus
  • SetInternalDescription -> StudyStatus
  • GetStudyDetails -> StudyDetails
  • GetStudyStatus -> StudyStatus
  • GetStudiesOverview -> StudyStatus[]
  • SetInvitation -> StudyStatus
  • SetProtocol -> StudyStatus
  • RemoveProtocol -> StudyStatus
  • GoLive -> StudyStatus
  • Remove -> Boolean
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

application/json
  1. body
ownerId*
name*string
description?string
invitation?
apiVersion*
responseSerializer*

Response body

OK

*/*
  1. response
name*string
studyProtocolId?
createdOn*
canSetInvitation*boolean
canSetStudyProtocol*boolean
canDeployToParticipants*boolean
studyId*
Example request
curl -X POST 'https://dev.carp.dk/api/study-service' \  -H 'Content-Type: application/json' \  -d '{  "ownerId": {},  "name": "string",  "apiVersion": {    "major": 0,    "minor": 0  },  "responseSerializer": {    "descriptor": {      "annotations": [        {}      ],      "serialName": "string",      "elementsCount": 0,      "isInline": true,      "kind": null,      "isNullable": true    }  }}'
Example response
{  "name": "string",  "studyProtocolId": {    "stringRepresentation": "string"  },  "createdOn": {    "epochSeconds": 0,    "nanosecondsOfSecond": 0  },  "canSetInvitation": true,  "canSetStudyProtocol": true,  "canDeployToParticipants": true,  "studyId": {    "stringRepresentation": "string"  }}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture